Subject: Re: bug#60543: 29.0.60; c-ts-mode: Labels are not properly indented

From: Mohammed Sadiq <[email-masked]>
Date: Sun, 08 Jan 2023 14:06:46 +0530

On 2023-01-08 07:45, Yuan Fu wrote:
> After reading the manual for GNU indent, I think Linux style asks for
> indenting labels to column 1, not the GNU style. And c-ts-mode’s 
> current
> GNU style indentation agrees with GNU indent.
> 
> So I only added a rule to indent labels to column 1 in Linux style. 
> Feel
> free to correct me, of course.
> 
> Yuan

As per 
https://www.kernel.org/doc/html/v6.0/process/coding-style.html#centralized-exiting-of-functions
the label has no indent from the parent block

And for GNU style, I couldn't find an example the style manual, nor in 
GNU hello.
So I except c-ts-mode to have the same behavior as c-mode (even if it's 
wrong
as per GNU indent,).

In short, I expect c-ts-mode to behave the same as c-mode because that's 
what
users often expect (ie, for those who uses GNU indent, their code will 
indent
right regardless of how c-mode or c-ts-mode behave.  But for the users 
who
migrate from c-mode - the anticipated user base of c-ts-mode - expects 
it to
be no different from c-mode)

cheers,
Mohammed Sadiq